Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZRangeOption Class Reference

The class eZRangeOption does. More...

## Public Member Functions
| __construct ( $name)
| setName ( $name)
| name ()
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
| addOption ( $valueArray)
| decodeXML ( $xmlString)
| xmlString ()
| setStartValue ( $value)
| setStopValue ( $value)
| setStepValue ( $value)

## Public Attributes
| $Name
| Contains the Option name. More...
| $Options
| Contains the Options. More...
| $OptionCount
| Contains the option counter value. More...
| $StartValue
| $StopValue
| $StepValue

## Detailed Description

The class eZRangeOption does.

Definition at line 18 of file ezrangeoption.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZRangeOption::__construct | ( |  | $name | ) |

Constructor

Parameters

  string | $name |

Definition at line 25 of file ezrangeoption.php.

## Member Function Documentation

## ◆ addOption()

eZRangeOption::addOption | ( |  | $valueArray | ) |

Definition at line 97 of file ezrangeoption.php.

Referenced by decodeXML().

## ◆ attribute()

eZRangeOption::attribute | ( |  | $name | ) |

Definition at line 65 of file ezrangeoption.php.

References $Name, $Options, $StartValue, $StepValue, $StopValue, and eZDebug\writeError().

## ◆ attributes()

eZRangeOption::attributes | ( |  | ) |

Returns
  list of supported attributes

Definition at line 51 of file ezrangeoption.php.

Referenced by hasAttribute().

## ◆ decodeXML()

eZRangeOption::decodeXML | ( |  | $xmlString | ) |

Definition at line 107 of file ezrangeoption.php.

References addOption(), and setName().

## ◆ hasAttribute()

eZRangeOption::hasAttribute | ( |  | $name | ) |

Definition at line 60 of file ezrangeoption.php.

References attributes().

## ◆ name()

eZRangeOption::name | ( |  | ) |

Returns the name of the option set.

Definition at line 43 of file ezrangeoption.php.

References $Name.

## ◆ setName()

eZRangeOption::setName | ( |  | $name | ) |

Sets the name of the option

Definition at line 35 of file ezrangeoption.php.

Referenced by decodeXML().

## ◆ setStartValue()

eZRangeOption::setStartValue | ( |  | $value | ) |

Definition at line 164 of file ezrangeoption.php.

## ◆ setStepValue()

eZRangeOption::setStepValue | ( |  | $value | ) |

Definition at line 174 of file ezrangeoption.php.

## ◆ setStopValue()

eZRangeOption::setStopValue | ( |  | $value | ) |

Definition at line 169 of file ezrangeoption.php.

## ◆ xmlString()

eZRangeOption::xmlString | ( |  | ) |

Will return the XML string for this option set.

Definition at line 146 of file ezrangeoption.php.

## Member Data Documentation

## ◆ $Name

eZRangeOption::$Name

Contains the Option name.

Definition at line 181 of file ezrangeoption.php.

Referenced by attribute(), and name().

## ◆ $OptionCount

eZRangeOption::$OptionCount

Contains the option counter value.

Definition at line 187 of file ezrangeoption.php.

## ◆ $Options

eZRangeOption::$Options

Contains the Options.

Definition at line 184 of file ezrangeoption.php.

Referenced by attribute().

## ◆ $StartValue

eZRangeOption::$StartValue

Definition at line 188 of file ezrangeoption.php.

Referenced by attribute().

## ◆ $StepValue

eZRangeOption::$StepValue

Definition at line 190 of file ezrangeoption.php.

Referenced by attribute().

## ◆ $StopValue

eZRangeOption::$StopValue

Definition at line 189 of file ezrangeoption.php.

Referenced by attribute().

The documentation for this class was generated from the following file:

- ezrangeoption.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.